1.5
codes that were written in machine-independent languages is easier to understand than the ones which were written in machine-dependent language, but it workes  faster if they were  written   in machine-dependent language:
